<?php

function chirotheme_register_widget_sidebars(){

	register_sidebar(array(
		'name' => 'Footer Content',
		'id' => 'footer-content',
		'description' => 'Widgets in this area will be shown in the footer.',
		'before_widget' => '<div id="%1$s" class="widget footer-part %2$s">',
		'after_widget'  => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>'
	));

	register_sidebar(array(
		'name' => 'Header Content',
		'id' => 'header-content',
		'description' => 'Widgets in this area will be shown on top of the main menu.',
		'before_widget' => '<div id="%1$s" class="widget static-header-part %2$s">',
		'after_widget'  => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>'
	));
}
	
add_action( 'widgets_init', 'chirotheme_register_widget_sidebars' );

//Apply do_shortcode() to widgets so that shortcodes will be executed in widgets
add_filter('widget_text', 'do_shortcode');